aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--NEWS1
-rwxr-xr-xautogen.sh22
2 files changed, 6 insertions, 17 deletions
diff --git a/NEWS b/NEWS
index 852bfa6..0b9e589 100644
--- a/NEWS
+++ b/NEWS
@@ -8,6 +8,7 @@ NEWS
* Add -b backlog option (fixes #2422, patch by aschmitz)
* Restrict Unix socket file ownership by default to ug=rw
* Add example apparmor spawn-fcgi abstraction
+ * Use autoreconf instead of calling tools manually
- 1.6.3 - 2009-09-23
* Fix unix socket mode change to work without specifying user/group for socket
diff --git a/autogen.sh b/autogen.sh
index 7673deb..cc2b408 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,12 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-ACLOCAL=${ACLOCAL:-aclocal}
-AUTOHEADER=${AUTOHEADER:-autoheader}
-AUTOMAKE=${AUTOMAKE:-automake}
-AUTOMAKE_FLAGS="--add-missing --copy"
-AUTOCONF=${AUTOCONF:-autoconf}
-
-ARGV0=$0
-
set -e
+if [ ! -f configure.ac -o ! -f COPYING ]; then
+ echo "Doesn't look like you're in the source directory" >&2
+ exit 1
+fi
-run() {
- echo "$ARGV0: running \`$@'"
- $@
-}
-
-run $ACLOCAL $ACLOCAL_FLAGS
-run $AUTOHEADER
-run $AUTOMAKE $AUTOMAKE_FLAGS
-run $AUTOCONF
+autoreconf --force --install
echo "Now type './configure ...' and 'make' to compile."